package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.entity.TBTaskPdf;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.common.bean.result.TaskPdfResult;
import com.qmth.teachcloud.common.enums.TaskResultEnum;
import com.qmth.teachcloud.common.enums.TaskStatusEnum;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 导入导出任务表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-02-06
 */
public interface TBTaskPdfMapper extends BaseMapper<TBTaskPdf> {

    IPage<TaskPdfResult> pageData(@Param("page") Page<TaskPdfResult> page, @Param("examId") Long examId, @Param("printPlanId") String printPlanId, @Param("courseId") Long courseId, @Param("paperNumber") String paperNumber, @Param("status") TaskStatusEnum status, @Param("result") TaskResultEnum result, @Param("examPlace") String examPlace, @Param("examRoom") String examRoom, @Param("examStartTime") Long examStartTime, @Param("examEndTime") Long examEndTime);
}
