package com.qmth.teachcloud.obe.service;


import com.qmth.teachcloud.common.bean.result.DictionaryResult;
import com.qmth.teachcloud.common.entity.BasicCourse;
import com.qmth.teachcloud.common.entity.BasicProfessional;
import com.qmth.teachcloud.obe.entity.ObeCultureProgram;

import java.util.List;

/**
 * <p>
 * 查询条件 服务类
 * </p>
 */
public interface ObeConditionService {

    List<BasicProfessional> listProfessional();

    List<ObeCultureProgram> listCultureProgram(Long professionalId);

    List<DictionaryResult> listOutlineSemester(Long professionalId, Long cultureProgramId);

    List<BasicCourse> listCultureProgramCourse(Long professionalId, Long cultureProgramId, Long semesterId);
}
