package com.qmth.distributed.print.business.bean.params;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.entity.ExamTask;
import com.qmth.distributed.print.business.entity.ExamTaskDetail;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 命题任务
 * </p>
 */
public class ExamTaskSubmitContent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "命题任务")
    private ExamTask examTask;

    @ApiModelProperty(value = "命题任务详情")
    private ExamTaskDetail examTaskDetail;

    @ApiModelProperty(value = "考场数据")
    private ExamDetailParams examDetail;

    public ExamTask getExamTask() {
        return examTask;
    }

    public void setExamTask(ExamTask examTask) {
        this.examTask = examTask;
    }

    public ExamTaskDetail getExamTaskDetail() {
        return examTaskDetail;
    }

    public void setExamTaskDetail(ExamTaskDetail examTaskDetail) {
        this.examTaskDetail = examTaskDetail;
    }

    public ExamDetailParams getExamDetail() {
        return examDetail;
    }

    public void setExamDetail(ExamDetailParams examDetail) {
        this.examDetail = examDetail;
    }
}
